export declare enum LogLevel {
    DEBUG = "debug",
    INFO = "info",
    WARN = "warn",
    ERROR = "error",
    SILENT = "silent"
}
export declare class Logger {
    private logLevel;
    constructor(logLevel?: LogLevel | string);
    setLogLevel(logLevel: LogLevel | string): void;
    debug(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
    log(...args: any[]): void;
    private runIfLogLevel;
}
export declare const logger: Logger;
